/* -------------------  NRC过往字体包引用合集，根据实际情况使用 ---------------------- */
@font-face {
  font-family: "swiss";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/Swiss911BTCompressed.otf);
}
@font-face {
  font-family: "swiss-ultra";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/Swiss911BTUltraCompressed.otf);
}
@font-face {
  font-family: "FZLTYJT";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/FZLTYJT.ttf);
}
@font-face {
  font-family: "FZCCHJT";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/FZCCHJT.ttf);
}
@font-face {
  font-family: "MIANFEIZITI";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/MIANFEIZITI.ttf);
}
@font-face {
  font-family: "RUNEREGULAR";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/RUNEREGULAR.ttf);
}
@font-face {
  font-family: "SSMOFANGTI";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/SSMOFANGTI.TTF);
}
@font-face {
  font-family: "MFQIHEI";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/SSMOFANGTI.TTF);
}
@font-face {
  font-family: "ROCOBLACK";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/RocofontblackRegular.ttf);
}
@font-face {
  font-family: "ZZGFQHT";
  src: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/font-origin/ZZGFQHT.otf);
}

.font-swiss {
  font-family: "swiss" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-swiss-ultra {
  font-family: "swiss-ultra" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-fzltyjt {
  font-family: "FZLTYJT" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-fzcchjt {
  font-family: "FZCCHJT" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-mainfeiziti {
  font-family: "MIANFEIZITI" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-runeregular {
  font-family: "RUNEREGULAR" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-ssmofangti {
  font-family: "SSMOFANGTI" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-mfqihei {
  font-family: "MFQIHEI" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-rocoblack {
  font-family: "ROCOBLACK" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.font-zzgfqht {
  font-family: "ZZGFQHT" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}

/* -------------- 配置通用滑动函数的贝塞尔曲线 ---------------------- */
:root {
  --easeCommon: cubic-bezier(0.10, 0.00, 0.23, 1.00);
}

*,
*:before,
*:after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  outline: none;
}

/* html {
  width: 100%;
  min-height: 100%;
  box-sizing: border-box;
  background: #fff;
}

body {
  width: 100vw;
  overflow-x: hidden;
  overflow-y: scroll;
  text-size-adjust: 100% !important;
  -webkit-text-size-adjust: 100% !important;
} */

html,body,div,p,ul,li,dl,dt,dd,em,i,span,a,img,input,h1,h2,h3,h4,h5 {margin:0;padding:0}
a,img,input {border:none;}
body{
  font: 14px/1.75  "FZLTYJT",-apple-system, "Helvetica Neue", Helvetica, Arial, sans-serif; 
  -webkit-tap-highlight-color: rgba(0,0,0,0);
}
a {text-decoration:none;}
ul,li{list-style: none}

/* .d-hide {
  display: none;
  font-size: 0; 
  text-indent: -999em;
} */
/* --------------------- flex布局相关类 ---------------------------- */
/* .d-flex {
  display: -ms-flexbox !important;
  display: flex !important;
} */
.flex-1 {
  flex: 1;
}
.flex-row {
  -ms-flex-direction: row !important;
  flex-direction: row !important;
}
.flex-column {
  -ms-flex-direction: column !important;
  flex-direction: column !important;
}
.justify-content-center {
  -ms-flex-pack: center !important;
  justify-content: center !important;
}
.justify-content-between {
  -ms-flex-pack: justify !important;
  justify-content: space-between !important;
}
.justify-content-around {
  -ms-flex-pack: distribute !important;
  justify-content: space-around !important;
}
.align-items-center {
  -ms-flex-align: center !important;
  align-items: center !important;
}
.flex-wrap {
  -ms-flex-wrap: wrap !important;
  flex-wrap: wrap !important;
}

/* --------------------- margin相关类 ---------------------------- */
.mt-15 {
  margin-top: .15rem;
}
.mt-20 {
  margin-top: .2rem;
}
.mt-40 {
  margin-top: .4rem;
}
.mb-60 {
  margin-bottom: .6rem;
}
/* --------------------- 弹框相关样式 ---------------------------- */
.pop {
  width: 9.22rem;
  min-height: 7.32rem;
  position: relative;
  padding-top: .1rem;
  background-color: #f4eee1;
  border-radius: .08rem;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 999;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.pop-mask {
  display: none;
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, .8);
  z-index: 997;
}

.pop-title {
  width: 8.95rem;
  height: 1.28rem;
  height: 1.28rem;
  background: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/m/modal/title-bg.png) 50% 50% / 100% 100% no-repeat;
  user-select: none;
  color: #f4eee1;
  font-size: .6rem;
  text-align: center;
  font-family: "MIANFEIZITI" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.pop-title[data-width="972"] {
  width: 9.72rem;
  height: 1.03rem;
  line-height: 1.03rem;
  background: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/m/modal/title-bg-972.png) 50% 50% / 100% 100% no-repeat;
}
.pop-btn-close {
  width: .49rem;
  height: .51rem;
  background: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/m/modal/icon-close.png) 50% 50% / 100% 100% no-repeat;
  position: absolute;
  top: 0;
  right: -.9rem;
  cursor: pointer;
  z-index: 9;
}
.pop-content {
  width: 7.96rem;
  height: auto;
  color: #272727;
  font-size: .4rem;
  line-height: .45rem;
  margin: .3rem 0 .7rem 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  flex: 1;
}
.pop-btn-box{
  width: 100%;
  display: flex;
  justify-content: space-between;
}
.pop-icon-qq {
  width: 2.6rem;
  height: 3.32rem;
  background: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/m/modal/icon-qq.png) 50% 50% / 100% 100% no-repeat;
  user-select: none;
  cursor: pointer;
}
.pop-icon-wechat {
  width: 2.6rem;
  height: 3.32rem;
  background: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/m/modal/icon-wechat.png) 50% 50% / 100% 100% no-repeat;
  user-select: none;
  cursor: pointer;
}
.pop-qrcode-box {
  width: 2.87rem;
  height: 2.87rem;
  background: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/m/modal/qrcode-box.png) 50% 50% / 100% 100% no-repeat;
  user-select: none;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.pop-qrcode {
  width: 90%;
  max-width: 90%;
  height: auto;
}
.pop-btn {
  width: 3.46rem;
  height: .9rem;
  line-height: .9rem;
  font-size: .48rem;
  background-color: #f9c150;
  font-family: "MIANFEIZITI" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
  text-align: center;
  border-radius: .45rem;
  overflow: hidden;
  user-select: none;
  cursor: pointer;
  transition: var(--easeCommon) .2s;
  color: #292828;
}
.pop-btn:hover,
.pop-btn:active {
  transform: scale(.95) !important;
}
.pop-input-phone {
  width: 7.96rem;
  height: .84rem;
  line-height: .84rem;
  background: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/m/modal/input-phone.png) 50% 50% / 100% 100% no-repeat;
  user-select: none;
  position: relative;
}
.pop-input-code {
  width: 7.96rem;
  height: .84rem;
  line-height: .84rem;
  background: url(https://game.gtimg.cn/images/rocom/act/a20250616preview/m/modal/input-code.png) 50% 50% / 100% 100% no-repeat;
  user-select: none;
}
.pop-input[data-width="416"] {
  width: 4.16rem;
}
.pop-input[data-width="796"] {
  width: 7.96rem;
}
.pop input {
  height: .84rem;
  line-height: .84rem;
  border:  0 solid transparent;
  background: transparent;
  outline: none;
  user-select: none;
  padding: 0 .375rem;
  font-size: .4rem;
  color: #272727;
  position: relative;
  caret-color: #b03b3a;
}
.pop input::placeholder {
  color: #929086;
  font-size: .4rem;
  font-family: "FZLTYJT" !important;
  font-variant-numeric: tabular-nums;
  font-feature-settings: 'tnum';
}
.pop-phone-code-area {
  width: 2.8rem;
  height: .84rem;
  line-height: .84rem;
  font-size: .4rem;
  color: #272727;
}
.pop-phone-btn-send {
  height: .84rem;
  line-height: .84rem;
  user-select: none;
}
.pop-phone-countdown {
  height: .84rem;
  line-height: .84rem;
  user-select: none;
}
.pop-phone-tip {
  width: 7.61rem;
  line-height: .35rem;
  font-size: .24rem;
  color: rgba(99, 98, 93, .8);
  text-align: justify;
}
.pop-common-tip {
  width: 8rem;
  line-height: .56rem;
  text-align: justify;
  /* display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center; */
  word-break: break-all;
  color: #272727;
}